
local E_MODEL_DK64 = smlua_model_util_get_id("red_bird")

local TEXT_MOD_NAME = "Talking Red"

local VOICETABLE_DK64 = {
    [CHAR_SOUND_ATTACKED] = 'aaaaa_heehya.ogg',
    [CHAR_SOUND_DOH] = 'aaaaa_heehya.ogg',
    [CHAR_SOUND_DYING] = 'aaaaa_heehya.ogg',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'aaaaa_heehya.ogg',
    [CHAR_SOUND_HAHA] = 'aaaaa_heehya.ogg',
    [CHAR_SOUND_HAHA_2] = 'aaaaa_heehya.ogg',
    [CHAR_SOUND_HERE_WE_GO] = 'aaaaa_heehya.ogg',
    [CHAR_SOUND_HOOHOO] = 'aaaaa_heehya.ogg',
    [CHAR_SOUND_HRMM] = 'aaaaa_heehya.ogg',
    [CHAR_SOUND_LETS_A_GO] = 'aaaaa_heehya.ogg',
    [CHAR_SOUND_MAMA_MIA] = 'aaaaa_heehya.ogg',
	[CHAR_SOUND_OKEY_DOKEY] = 'aaaaa_heehya.ogg',
    [CHAR_SOUND_ON_FIRE] = 'aaaaa_heehya.ogg',
    [CHAR_SOUND_OOOF] = 'aaaaa_heehya.ogg',
    [CHAR_SOUND_OOOF2] = 'aaaaa_heehya.ogg',
    [CHAR_SOUND_PUNCH_HOO] = 'aaaaa_heehya.ogg',
    [CHAR_SOUND_PUNCH_WAH] = 'aaaaa_heehya.ogg',
    [CHAR_SOUND_PUNCH_YAH] = 'aaaaa_heehya.ogg',
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'aaaaa_heehya.ogg',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'aaaaa_heehya.ogg',
    [CHAR_SOUND_UH] = 'aaaaa_heehya.ogg',
    [CHAR_SOUND_UH2] = 'aaaaa_heehya.ogg',
    [CHAR_SOUND_UH2_2] = 'aaaaa_heehya.ogg',
    [CHAR_SOUND_WAAAOOOW] = 'aaaaa_heehya.ogg',
    [CHAR_SOUND_WAH2] = 'aaaaa_heehya.ogg',
    [CHAR_SOUND_WHOA] = 'aaaaa_heehya.ogg',
    [CHAR_SOUND_YAHOO] = 'aaaaa_heehya.ogg',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = {'aaaaa_heehya.ogg', 'aaaaa_heehya.ogg'},
    [CHAR_SOUND_YAH_WAH_HOO] = 'aaaaa_heehya.ogg'
}

local TEX_DK64 = get_texture_info("red-icon")

if _G.charSelectExists then
    _G.charSelect.character_add("Talking Red", {"AAAAAA HEEHYA"}, "CaptainT., Talking Red Developer", {r = 214, g = 0, b = 44}, E_MODEL_DK64, CT_MARIO, TEX_DK64)

    _G.charSelect.character_add_voice(E_MODEL_DK64, VOICETABLE_DK64)

    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_DK64 then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_DK64 then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end

